## angelfish 25.08.0

=== debian/changelog ===
angelfish (25.08.0-0zneon+24.04+noble+release+build36) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:38:35 +0000

angelfish (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:00:40 +0000

angelfish (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:12:57 +0000

angelfish (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:27:35 +0000

angelfish (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:02:00 +0000

angelfish (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:22:07 +0000

angelfish (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:54:39 +0000

angelfish (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:15:38 +0000

angelfish (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:13:50 +0000

angelfish (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:02:51 +0000

angelfish (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:26:42 +0000

angelfish (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:51:12 +0000

angelfish (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:22:47 +0000

angelfish (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:17:35 +0000

angelfish (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:59:31 +0000

angelfish (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:08:10 +0000

angelfish (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:00:12 +0000

angelfish (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:48:41 +0000

angelfish (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:26:00 +0000

angelfish (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:24:28 +0000

angelfish (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:03:45 +0000

angelfish (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:51:41 +0000

angelfish (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:33:42 +0000

angelfish (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:33:20 +0000

angelfish (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:09:37 +0000

angelfish (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 30 Jan 2023 16:25:35 +0000

angelfish (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Dec 2022 16:23:09 +0000

angelfish (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Oct 2022 16:23:06 +0000

angelfish (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:25:28 +0000

angelfish (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 23 Apr 2022 16:23:07 +0000

angelfish (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 16:23:07 +0000

angelfish (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 16:23:07 +0000

angelfish (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 16:23:03 +0000

angelfish (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 16:23:12 +0000

angelfish (21.06-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:18 +0000

plasma-angelfish (21.05-0neon) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Sat, 29 Feb 2020 11:48:57 +0100

plasma-angelfish (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Thu, 13 Feb 2020 10:57:13 +0100

plasma-angelfish (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Tue, 12 Nov 2019 20:56:48 +0100

plasma-angelfish (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Thu, 08 Aug 2019 22:21:22 +0200

plasma-angelfish (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Tue, 21 May 2019 16:04:32 +0200

plasma-angelfish (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Fri, 26 Apr 2019 16:12:19 +0200

plasma-angelfish (0+git20190318-1) unstable; urgency=medium

  * New snapshot

 -- Jonah Brüchert <jbb@kaidan.im>  Mon, 18 Mar 2019 22:11:41 +0100

plasma-angelfish (0+git20190224-1) unstable; urgency=medium

  * Add missing qml module dependencies
  * New snapshot

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 24 Feb 2019 12:36:29 +0100

plasma-angelfish (0+git20180828-1) unstable; urgency=medium

  * Initial Release.

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 12 Aug 2018 10:42:07 +0200

## angelfish 25.08.1

=== debian/changelog ===
angelfish (25.08.1-0zneon+24.04+noble+release+build37) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 07:09:12 +0000

angelfish (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:32:05 +0000

## angelfish 25.08.1+p24.04+vstable+git20250916.0341

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2015 Sebastian Kügler <sebas@kde.org>
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
#
# SPDX-License-Identifier: LGPL-2.0-or-later

cmake_minimum_required(VERSION 3.16.0)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(angelfish VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "5.240")
set(QT_MIN_VERSION "6.4")
set(QCORO_MIN_VERSION "0.7.0")


set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

option(BUILD_TESTING "Build test programs" ON)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "This application requires an out of source build. Please create a separate build directory.")
endif()

include(FeatureSummary)

################# set KDE specific information #################

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(ECMPoQmTools)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(KDECompilerSettings NO_POLICY_SCOPE)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX ANGELFISH
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

################# Find dependencies #################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Sql Widgets)
find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Feedback)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami Purpose I18n Config CoreAddons DBusAddons WindowSystem Notifications Crash OPTIONAL_COMPONENTS QQC2DesktopStyle)
find_package(KF6KirigamiAddons 0.6 REQUIRED)
set_package_properties(KF6QQC2DesktopStyle PROPERTIES TYPE RUNTIME)

# Necessary to support QtWebEngine installed in a different prefix than the rest of Qt (e.g flatpak)
find_package(Qt6WebEngineCore REQUIRED)
find_package(Qt6WebEngineQuick REQUIRED)

find_package(FutureSQL6 REQUIRED)
find_package(QCoro6 ${QCORO_MIN_VERSION} REQUIRED COMPONENTS Core Quick Qml)

# For adblocker
find_package(Corrosion)
set_package_properties(Corrosion PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "Required to build the builtin adblocker"
    DESCRIPTION "CMake scripts to seamlessly build and link to targets using cargo"
    URL https://github.com/AndrewGaspar/corrosion
)

################# Definitions to pass to the compiler #################

add_definitions(-DQT_NO_FOREACH -DQT_NO_URL_CAST_FROM_STRING)
kde_enable_exceptions()
qcoro_enable_coroutines()

if (NOT Qt6Feedback_FOUND)
    message(WARNING "Qt Feedback dependency is not found.\n"
        "While it is optional since unmaintained, haptics feedback functionality is not supported without it.")
endif()

################# build and install #################
add_subdirectory(lib)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(angelfish-webapp)

ki18n_install(po)

install(PROGRAMS org.kde.angelfish.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.angelfish.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.angelfish.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h lib/*.cpp lib/*.h angelfish-webapp/*.cpp angelfish-webapp/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== debian/changelog ===
angelfish (25.08.1+p24.04+vstable+git20250916.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 03:41:42 +0000

=== debian/control ===
Source: angelfish
Section: net
Priority: optional
Build-Depends: cargo-1.81,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kwindowsystem-dev,
               kf6-purpose-dev,
               kf6-qqc2-desktop-style-dev,
               libfuturesql6-dev,
               pkg-kde-tools-neon,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev,
               rustc-1.81
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/angelfish.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/angelfish
Maintainer: Neon CI <neon@kde.org>

Package: angelfish
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-purpose,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Small webbrowser for mobile devices
 Webbrowser based on QtWebEngine and QtQuickControls2

Package: plasma-angelfish
Architecture: any
Section: oldlibs
Priority: optional
Depends: angelfish, ${misc:Depends}
Description: Empty transitional package
 This package can be removed

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DRust_COMPILER=/usr/bin/rustc-1.81 -DRust_CARGO=/usr/bin/cargo-1.81

## angelfish 25.08.1+p24.04+vstable+git20251001.0043

=== debian/changelog ===
angelfish (25.08.1+p24.04+vstable+git20251001.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:43:06 +0000

## angelfish 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
#
# SPDX-License-Identifier: LGPL-2.0-or-later

include(ECMAddTests)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Sql Gui Quick)

ecm_add_test(dbmanagertest.cpp
             TEST_NAME dbmanagertest
             LINK_LIBRARIES Qt::Test Qt::Sql Qt::Quick AngelfishCore
)

ecm_add_test(browsermanagertest.cpp
             TEST_NAME browsermanagertest
             LINK_LIBRARIES Qt::Test Qt::Sql Qt::Gui Qt::Quick AngelfishCore
)

ecm_add_test(tabsmodeltest.cpp
             TEST_NAME tabsmodeltest
             LINK_LIBRARIES Qt::Test Qt::Sql Qt::Gui Qt::Quick AngelfishCore
)

ecm_add_test(configtest.cpp
             TEST_NAME configtest
             LINK_LIBRARIES Qt::Test AngelfishCore
)

=== lib/CMakeLists.txt ===
add_library(AngelfishCore STATIC)

ecm_add_qml_module(AngelfishCore
    URI org.kde.angelfish.core
    GENERATE_PLUGIN_SOURCE

    QML_FILES
        contents/ui/AuthSheet.qml
        contents/ui/DownloadQuestion.qml
        contents/ui/ErrorHandler.qml
        contents/ui/JavaScriptDialogSheet.qml
        contents/ui/ListWebView.qml
        contents/ui/PermissionQuestion.qml
        contents/ui/PrintPreview.qml
        contents/ui/Questions.qml
        contents/ui/WebDeveloperTools.qml
        contents/ui/WebView.qml

    SOURCES
        browsermanager.cpp
        bookmarkshistorymodel.cpp
        dbmanager.cpp
        iconimageprovider.cpp
        urlutils.cpp
        urlobserver.cpp
        useragent.cpp
        tabsmodel.cpp
        settingshelper.cpp
        angelfishwebprofile.cpp
        downloadmanager.cpp
        domdistiller.cpp
)

qt_add_resources(AngelfishCore DomDistiller
    FILES dom-distiller-dist/domdistiller.js
)

qt_add_resources(AngelfishCore "resources"
    PREFIX "/"
    FILES
        contents/migrations/2022-08-14-223019_init/up.sql
)

kconfig_add_kcfg_files(AngelfishCore GENERATE_MOC angelfishsettings.kcfgc)

target_include_directories(AngelfishCore PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_compile_definitions(AngelfishCore PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(AngelfishCore PUBLIC
    Qt::Core
    Qt::Qml
    Qt::Sql
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::Notifications
    FutureSQL6::FutureSQL
    QCoro6::Core
    QCoro6::Quick
)

target_link_libraries(AngelfishCore PRIVATE Qt::WebEngineCore Qt::WebEngineQuick)

install(FILES angelfishsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES angelfish.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
angelfish (25.08.2-1) unstable; urgency=medium

  * Team Upload.
  * New Upstream version.
  * Drop myself from uploaders
  * Drop Redundant "Rules-Requires-Root: no"
  * Add B-D on libkf6crash-dev
  * Fix "old-fsf-address-in-copyright-file"
  * Add org.kde.angelfish.core and org.kde.angelfish.webapp to overrides
  * Update filepaths in d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 16:10:53 +0530

=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
           Pirate Praveen <praveen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               cargo,
               corrosion,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev (>= 0.6~),
               libfuturesql6-dev,
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6crash-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev (>= 5.240~),
               libkf6qqc2desktopstyle-dev (>= 5.240~),
               libkf6windowsystem-dev (>= 5.240~),
               libkirigami-dev (>= 5.240~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               pkg-kde-tools,
               qcoro-qt6-dev (>= 0.7.0~),
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.4~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.4~),
               qt6-svg-dev (>= 6.4~),
               qt6-webengine-dev,
               qt6-webengine-private-dev,
               rustc,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/angelfish
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/angelfish.git

Package: angelfish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

%:
	dh $@


override_dh_auto_clean:
	dh_auto_clean -Skf6
	rm -rf $(CARGO_HOME) debian/cargo_registry

# Use the Debian crates to build
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f $(CURDIR)/Cargo.lock
	dh_auto_configure -Skf6

## angelfish 25.08.2+p24.04+vstable+git20251019.0558

=== debian/changelog ===
angelfish (25.08.2+p24.04+vstable+git20251019.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:58:33 +0000

angelfish (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:08:59 +0000

## angelfish 25.08.2+p24.04+vstable+git20251031.1010

=== debian/changelog ===
angelfish (25.08.2+p24.04+vstable+git20251031.1010-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:10:43 +0000

## angelfish 25.08.3

=== debian/changelog ===
angelfish (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:09:53 +0000

angelfish (25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - Build with dh-sequence-kf6.
    - wrap-and-sort.
    - Update build depends from cmake.
    - Update qmldeps.overrides
    - Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Nov 2025 08:40:21 +0000

angelfish (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:37:19 +0100

angelfish (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:49:41 +0100

angelfish (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:18:48 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	mkdir -p debian/angelfish/etc/apparmor.d
	cp debian/angelfish-apparmor debian/angelfish/etc/apparmor.d/usr.bin.angelfish
	dh_apparmor --profile-name=usr.bin.angelfish -pangelfish

## angelfish 25.08.3+p24.04+vunstable+git20251122.0214

=== debian/changelog ===
angelfish (25.08.3+p24.04+vunstable+git20251122.0214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 02:14:43 +0000

angelfish (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:20 +1000

## angelfish 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})
@@ -62,6 +62,11 @@
 find_package(KF6KirigamiAddons 0.6 REQUIRED)
 set_package_properties(KF6QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
 
+# TODO: This should probably be done in QCoros installed CMake file instead.
+if(Qt6Core_VERSION VERSION_GREATER_EQUAL "6.9.0")
+    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED QmlPrivate)
+endif()
+
 # Necessary to support QtWebEngine installed in a different prefix than the rest of Qt (e.g flatpak)
 find_package(Qt6WebEngineCore REQUIRED)
 find_package(Qt6WebEngineQuick REQUIRED)

=== angelfish-webapp/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
#
# SPDX-License-Identifier: LGPL-2.0-or-later

add_executable(angelfish-webapp main.cpp)

ecm_add_qml_module(angelfish-webapp
    GENERATE_PLUGIN_SOURCE
    URI org.kde.angelfish.webapp
)

ecm_target_qml_sources(angelfish-webapp
    SOURCES
        qml/WebAppView.qml
        qml/WebApp.qml
)

target_include_directories(angelfish-webapp PRIVATE ../src/)
target_compile_definitions(angelfish-webapp PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(angelfish-webapp PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Sql
    Qt::Svg
    Qt::Widgets
    KF6::I18n
    KF6::CoreAddons
    AngelfishCore
    AngelfishCoreplugin
)

target_link_libraries(angelfish-webapp PRIVATE Qt::WebEngineCore Qt::WebEngineQuick)

install(TARGETS angelfish-webapp ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
angelfish (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:48:28 +0000

=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
           Pirate Praveen <praveen@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev (>= 0.6~),
               libfuturesql6-dev,
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6crash-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev (>= 5.240~),
               libkf6qqc2desktopstyle-dev (>= 5.240~),
               libkf6windowsystem-dev (>= 5.240~),
               libkirigami-dev (>= 5.240~),
               qcoro-qt6-dev (>= 0.7.0~),
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.4~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.4~),
               qt6-svg-dev (>= 6.4~),
               qt6-webengine-dev,
               qt6-webengine-private-dev,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/angelfish
Rules-Requires-Root: no

Package: angelfish
Architecture: amd64 arm64 armhf
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Suggests: apparmor,
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.

## angelfish 25.11.90

=== debian/changelog ===
angelfish (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:42 +0000

## angelfish 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
angelfish (25.12.0-0zneon+24.04+noble+release+build43) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:00:52 +0000

angelfish (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:05 +1000

## angelfish 25.12.0+p24.04+vstable+git20260101.0147

=== debian/changelog ===
angelfish (25.12.0+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:14 +0000

## angelfish 25.12.0+p24.04+vstable+git20260103.0440

=== debian/changelog ===
angelfish (25.12.0+p24.04+vstable+git20260103.0440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:40:31 +0000

## angelfish 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
         contents/ui/ErrorHandler.qml
         contents/ui/JavaScriptDialogSheet.qml
         contents/ui/ListWebView.qml
+        contents/ui/NewTabQuestion.qml
         contents/ui/PermissionQuestion.qml
         contents/ui/PrintPreview.qml
         contents/ui/Questions.qml

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Rinigus <rinigus.git@gmail.com>
#
# SPDX-License-Identifier: LGPL-2.0-or-later

add_subdirectory(settings)

add_executable(angelfish
    main.cpp
    adblockfilterlistsmodel.cpp
    adblockfilterlistsmanager.cpp
    adblockurlinterceptor.cpp
    downloadsmodel.cpp
    webappcreator.cpp
    webappmanager.cpp
    webappmanagermodel.cpp
    interfaceloader.cpp
)

ecm_add_qml_module(angelfish
    GENERATE_PLUGIN_SOURCE
    URI org.kde.angelfish
)

ecm_target_qml_sources(angelfish
    SOURCES
        qml/AdblockFilterDownloadQuestion.qml
        qml/Bookmarks.qml
        qml/Downloads.qml
        qml/FindInPageBar.qml
        qml/HapticsEffectLoader.qml
        qml/HapticsEffectWrapper.qml
        qml/History.qml
        qml/HistorySheet.qml
        qml/InputSheet.qml
        qml/Mobile.qml
        qml/Navigation.qml
        qml/NavigationEntrySheet.qml
        qml/ShareSheet.qml
        qml/Tabs.qml
        qml/UrlDelegate.qml

        qml/desktop/BookmarksPage.qml
        qml/desktop/Desktop.qml
        qml/desktop/HistoryPage.qml
        qml/desktop/TabHistory.qml
        qml/desktop/DesktopTabs.qml

        regex-weburl/RegexWebUrl.js
)

if (Corrosion_FOUND)
    add_custom_target(adblock
        SOURCES
        rs/adblock/Cargo.toml
        rs/adblock/build.rs
        rs/adblock/src/lib.rs
        rs/adblock/src/adblock.rs
        rs/adblock/src/domainresolver.rs
        rs/adblock/src/logging.rs)

    corrosion_import_crate(MANIFEST_PATH ${CMAKE_CURRENT_SOURCE_DIR}/rs/adblock/Cargo.toml)
    if (Corrosion_VERSION VERSION_LESS 0.5.0)
        target_link_libraries(angelfish PRIVATE angelfish-adblock)
    else()
        target_link_libraries(angelfish PRIVATE angelfish_adblock)
    endif()
    target_compile_definitions(angelfish PRIVATE -DBUILD_ADBLOCK)

    if(Corrosion_VERSION VERSION_LESS 0.6.0)
        set(corrosion_build_dir "build")
    else()
        string(SHA1 cargo_path_hash ${CMAKE_CURRENT_SOURCE_DIR}/rs/adblock/Cargo.toml)
        string(SUBSTRING "${cargo_path_hash}" 0 5 cargo_path_hash)
        set(corrosion_build_dir "adblock_${cargo_path_hash}")
    endif()

    target_include_directories(angelfish PRIVATE
        ${CMAKE_BINARY_DIR}/cargo/${corrosion_build_dir}/${Rust_CARGO_TARGET}/cxxbridge/angelfish-adblock/src/)
endif()

target_include_directories(angelfish PRIVATE ${CMAKE_BINARY_DIR})
target_compile_definitions(angelfish PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(angelfish PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Sql
    Qt::Svg
    Qt::Widgets
    Qt::WebEngineCore
    Qt::WebEngineQuick
    KF6::I18n
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::DBusAddons
    KF6::WindowSystem
    KF6::Crash
    QCoro6::Qml
    AngelfishCore
    AngelfishCoreplugin
    angelfish_settingsplugin
)

install(TARGETS angelfish ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
angelfish (25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Switch to debian/watch format version 5.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Jan 2026 22:19:44 +0100

=== debian/control ===
Source: angelfish
Section: web
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
           Pirate Praveen <praveen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cargo,
               cmake (>= 3.16.0~),
               corrosion,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev (>= 0.6~),
               libfuturesql6-dev,
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6crash-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev (>= 5.240~),
               libkf6qqc2desktopstyle-dev (>= 5.240~),
               libkf6windowsystem-dev (>= 5.240~),
               libkirigami-dev (>= 5.240~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               pkg-kde-tools,
               qcoro-qt6-dev (>= 0.7.0~),
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.4~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.4~),
               qt6-svg-dev (>= 6.4~),
               qt6-webengine-dev,
               qt6-webengine-private-dev,
               rustc,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/angelfish/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/angelfish
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/angelfish.git

Package: angelfish
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Web browser for Plasma Mobile
 This is a webbrowser designed to
 - be used on small mobile devices,
 - integrate well in Plasma workspaces
 .
 This use QtWebEngine as backend and supports webrtc.

## angelfish 25.12.1+p24.04+vstable+git20260106.1830

=== debian/changelog ===
angelfish (25.12.1+p24.04+vstable+git20260106.1830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 18:30:34 +0000

angelfish (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:26 +1000

## angelfish 25.12.1+p24.04+vunstable+git20260205.0757

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,6 @@
         browsermanager.cpp
         bookmarkshistorymodel.cpp
         dbmanager.cpp
-        iconimageprovider.cpp
         urlutils.cpp
         urlobserver.cpp
         useragent.cpp

=== debian/changelog ===
angelfish (25.12.1+p24.04+vunstable+git20260205.0757-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:57:43 +0000

=== debian/control ===
Source: angelfish
Section: net
Priority: optional
Build-Depends: cargo-1.89,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kwindowsystem-dev,
               kf6-purpose-dev,
               kf6-qqc2-desktop-style-dev,
               libfuturesql6-dev,
               pkg-kde-tools-neon,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev,
               rustc-1.89
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/angelfish.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/angelfish
Maintainer: Neon CI <neon@kde.org>

Package: angelfish
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-purpose,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Small webbrowser for mobile devices
 Webbrowser based on QtWebEngine and QtQuickControls2

Package: plasma-angelfish
Architecture: any
Section: oldlibs
Priority: optional
Depends: angelfish, ${misc:Depends}
Description: Empty transitional package
 This package can be removed

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DRust_COMPILER=/usr/bin/rustc-1.89 -DRust_CARGO=/usr/bin/cargo-1.89

## angelfish 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(angelfish VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
angelfish (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:15:56 +0000

angelfish (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:39:49 +0000

angelfish (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:55:05 +0000

angelfish (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:11:34 +0000

## angelfish 25.12.2+p24.04+vstable+git20260218.0325

=== debian/changelog ===
angelfish (25.12.2+p24.04+vstable+git20260218.0325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 03:25:03 +0000

angelfish (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:52:11 +0000

## angelfish 25.12.2+p24.04+vstable+git20260219.0432

=== debian/changelog ===
angelfish (25.12.2+p24.04+vstable+git20260219.0432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:32:46 +0000
